Name:           lessjs
Version:        1.3.1
Release:        4%{?dist}
Summary:        Less.js The dynamic stylesheet language

# cssmin.js is licensed under BSD license
# everything else is ASL 2.0
License:        ASL 2.0 and BSD

URL:            http://lesscss.org
# The source URL does not match the output filename:
# Source0:        https://github.com/cloudhead/less.js/archive/v%{version}.tar.gz
Source0: less.js-%{version}.tar.gz

# Fedora/EPEL patch to disable YUI compression because lessjs otherwise
# would be carrying a bundled copy of cssmin.js
Patch0001: 0001-Disable-YUI-compression.patch

# Upstream version number is incorrect for 1.3.1
Patch0002: 0002-Fix-version-number.patch

# Use /usr/share paths instead of /usr/lib
Patch0003: 0003-substitute-paths-to-use-usr-share-instead-of-usr-lib.patch

# Remove pre-built files from the dist/ directory
Patch0004: 0004-Remove-pre-builds.patch

BuildArch:      noarch
BuildRequires:  nodejs
Requires:       nodejs

%description
LESS extends CSS with dynamic behavior such as variables, mixins, operations
and functions. LESS runs on both the client-side (Chrome, Safari, Firefox)
and server-side, with Node.js and Rhino.

%prep
%setup -q -n less.js-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

%build
# Nothing to be built, we're just carrying around flat files

%check
make %{?_smp_mflags} test


%install
mkdir -p %{buildroot}%{_bindir}
install bin/lessc %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/less
cp -rp lib/less %{buildroot}%{_datadir}

%files
%doc LICENSE README.md
%{_bindir}/lessc
%{_datadir}/less


%changelog
* Wed Dec 19 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.3.1-4
- Unbundle cssmin.js from the sources
- Throw an error when --yui-compress is passed at the lessc command line
- Convert assorted %%prep actions into patches

* Wed Dec 19 2012 Matthias Runge <mrunge@redhat.com> - 1.3.1-3
- include LICENSE and README.md

* Wed Dec 19 2012 Matthias Runge <mrunge@redhat.com> - 1.3.1-2
- minor spec cleanup
- clear dist-dir
- license clearification

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.3.1-1
- Update to the 1.3.1 release
- Fix versioning bugs, get the tarball from a cleaner, tagged location

* Mon Sep 17 2012 Matthias Runge <mrunge@redhat.com> - 1.3.0-20120917git55d6e5a.1
- initial packaging
